Google объяснила, почему не будет исправлять баги в Android 4.3 и ниже

В этом месяце был обнаружен баг, который угрожает примерно 939 миллионам устройств, работающим на Android ниже 4.4. Ошибка найдена в Android WebView, являющейся неотъемлемой частью Android 4.3 и предыдущих версий, и это означает, в буквальном смысле, дыру в системе безопасности устройств. Тем не менее, Google отказалась что-либо с этим делать, и в своём посте в Google+ Адриан Людвиг, глава отдела безопасности Android, объяснил причины этого решения.

Учитывая, что в опасности практически миллиард устройств, казалось бы, это должно потревожить Google. Тем не менее, Людвиг пояснил, что эта ошибка затрагивает около 5 миллионов строк компьютерного кода, и сказал, что «изменения значительной части кода не имеют практического смысла и, кроме того, небезопасны».

Для тех, кто пользуется устройствами на Android 4.3 или ниже, Людвиг рекомендует скачать браузеры Chrome или Firefox — оба они доступны в Google Play и получают обновления, которые обеспечивают безопасное их использование. Chrome доступен для Android 4.0 и выше, а для Firefox нужна версия Android не ниже 2.3.


VN:F [1.9.18_1163]
Рейтинг: 10.0/10 (3 голосов)
Понравилась статья? Расскажите о ней друзьям:

Сайт думает, что это будет Вам интересно:
  • Google будет удалять приложения с устройств без ведома владельца
  • Google работают над исправлением ошибки Google Play: “Package file is invalid”
  • Почему Google Play издание Moto X сейчас не имеет смысла
  • ТОП 10 причин, почему Android лучше iOS
  • Google готовит Copresence — сервис для передачи файлов с Android на iOS

  • Ваш комментарий


    Система Orphus